﻿<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage" MasterPageFile="../Shared/Site.master" Title="Social - Settings" %>
<%@ Assembly Name="EPiServer.Social" %>
<%@ Assembly Name="EPiServer.Social.Models" %>
<%@ Assembly Name="EPiServer.Social.Configuration" %>
<%@ Import Namespace="EPiServer.Social" %>
<%@ Register TagPrefix="EPiServerUI" Namespace="EPiServer.UI.WebControls" Assembly="EPiServer.UI"  %>
<%@ Register TagPrefix="sc" Assembly="EPiServer.Shell" Namespace="EPiServer.Shell.Web.UI.WebControls" %>

<asp:Content runat="server" ContentPlaceHolderID="GlobalNavigationContainer">
    <div class="epi-globalNavigationContainer">
        <sc:ShellMenu runat="server" SelectionPath="/global/social/settings" />
    </div>
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="MainContent">

<div class="settings">
    <div class="heading">
        <h1><%= Html.Translate("/socialreach/settings/settingheading")%></h1>
    </div>
    <div class="add-channel">
        <label for="channel-type"><%= Html.Translate("/socialreach/settings/type")%></label>
        <select name="channel-type" id="channel-type" data-bind="options: Social.Providers, optionsText: 'Name', value: selectedProvider, optionsCaption: '<%= Html.Translate("/socialreach/settings/caption")%>'">
        </select>
        <span class="epi-button">
            <span class="epi-button-child">
                <input type="button" data-bind="click: newSocialChannel" class="epi-button-child-item epi-iconToolbar-add sprite-tools-icon add-icon" value="<%= Html.Translate("/socialreach/settings/addchannel")%>" />
            </span>
        </span>
    </div>
    <div data-bind="if: initialized">
        <h2><%= Html.Translate("/socialreach/settings/socialchannelsheading")%></h2>
        <div data-bind="visible: socialChannels().length == 0">
            <p class="empty-content">
                <%= Html.Translate("/socialreach/settings/nochannel")%>
            </p>
        </div>
        <fieldset class="channel-specific" data-bind="visible: socialChannels().length > 0, foreach: { data: socialChannels, afterRender: initSocialChannel }">
            <div class="channel">
                <div class="info">
                    <img class="logo" />
                    <p>
                        <!-- workarround to force ALWAYS updating channel name when user change chanel settings -->
                        <!-- ko if: EditMode -->
                        <strong class="channel-display-name" data-bind="text: Channel.Name"></strong>
                        <!-- /ko -->
                        <!-- ko ifnot: EditMode -->
                        <strong class="channel-display-name" data-bind="text: Channel.Name"></strong>
                        <!-- /ko -->
                        <!-- /workarround -->
                        <span data-bind="text: Channel.ProviderName"></span> | <a href="#" class="toggle-details"><%= Html.Translate("/socialreach/client/seedetails")%></a>
                    </p>
                </div>
                <dl>
                    <dt><!-- ko if: EditMode --><%= Html.Translate("/socialreach/settings/name")%><!-- /ko --></dt>
                    <dd>
                        <!-- ko if: EditMode -->
                        <input type="text" data-bind="value: Channel.Name" class='clsAutoReplaceSpecialCharacters' title="<%= Html.Translate("/socialreach/settings/notallowspecialcharacters")%>" />
                        <!-- /ko -->
                    </dd>
                    <dt><%= Html.Translate("/socialreach/settings/account")%></dt>
                    <dd class="provider-account">
                        <!-- ko if: EditMode -->
                        <div data-bind="template: { name: Provider.Get(Channel.ProviderName()).EditTemplate(), afterRender: $parent.initProviderTemplate }"></div>
                        <!-- /ko -->
                        <!-- ko ifnot: EditMode -->
                        <span data-bind="text: Channel.AccountDisplayName"></span>&nbsp;
                        <!-- /ko -->
                    </dd>
                    <dt><%= Html.Translate("/socialreach/settings/campaignsource")%></dt>
                    <dd>
                        <!-- ko if: EditMode -->
                        <input type="text" data-bind="value: Channel.CampaignSource" class='clsAutoReplaceSpecialCharacters' title="<%= Html.Translate("/socialreach/settings/notallowspecialcharacters")%>" />
                        <!-- /ko -->
                        <!-- ko ifnot: EditMode -->
                        <span data-bind="text: Channel.CampaignSource"></span>&nbsp;
                        <!-- /ko -->
                    </dd>
                    <dt><%= Html.Translate("/socialreach/settings/campaignmedium")%></dt>
                    <dd>
                        <!-- ko if: EditMode -->
                        <input type="text" data-bind="value: Channel.CampaignMedium" class='clsAutoReplaceSpecialCharacters' title="<%= Html.Translate("/socialreach/settings/notallowspecialcharacters")%>" />
                        <!-- /ko -->
                        <!-- ko ifnot: EditMode -->
                        <span data-bind="text: Channel.CampaignMedium"></span>&nbsp;
                        <!-- /ko -->
                    </dd>
                    <dt><%= Html.Translate("/socialreach/settings/accessrights")%></dt>
                    <dd>
                        <!-- ko if: EditMode -->
                        <div data-bind="template: { name: 'editaccessrights-template' }"></div>                    
                        <!-- /ko -->
                        <!-- ko ifnot: EditMode -->
                        <div data-bind="arrayToString: Channel.AccessRights"></div>
                        <!-- /ko -->

                    </dd>
                </dl>
                <div class="buttons">
                    <!-- ko ifnot: EditMode -->
                    <span class="epi-button">
                        <span class="epi-button-child">
                            <input type="button" class="channel-edit epi-button-child-item sprite-tools-icon edit-icon" value="<%= Html.Translate("/socialreach/settings/editbutton")%>" />
                        </span>
                    </span>
                    <!-- /ko -->
                    <!-- ko if: EditMode -->
                    <!-- ko if: Channel.Id -->
                    <span class="epi-button channel-delete">
                        <span class="epi-button-child">
                            <input type="button" class="epi-button-child-item sprite-tools-icon delete-icon" value="<%= Html.Translate("/socialreach/settings/deleteaccountbutton")%>" />
                        </span>
                    </span>
                    <!-- /ko -->
                    <span class="epi-button">
                        <span class="epi-button-child">
                            <input type="button" class="channel-save epi-button-child-item sprite-tools-icon save-icon" value="<%= Html.Translate("/socialreach/settings/savebutton")%>" />
                        </span>
                    </span>
                    <!-- ko if: Channel.Id -->
                    <span class="epi-button">
                        <span class="epi-button-child">
                            <input type="button" class="channel-cancel epi-button-child-item sprite-tools-icon cancel-icon" value="<%= Html.Translate("/socialreach/settings/cancelbutton")%>" />
                        </span>
                    </span>
                    <!-- /ko -->
                    <!-- ko ifnot: Channel.Id -->
                    <span class="epi-button">
                        <span class="epi-button-child">
                            <input type="button" class="new-channel-cancel epi-button-child-item sprite-tools-icon cancel-icon" value="<%= Html.Translate("/socialreach/settings/cancelbutton")%>" />
                        </span>
                    </span>
                    <!-- /ko -->
                    <!-- /ko -->
                </div>
                </div>
        </fieldset>
    </div>

</div>

<script type="text/html" id="editaccessrights-template">
    <table>
        <thead>
            <tr>
                <th></th>
                <th></th>
                <th><%= Html.Translate("/socialreach/settings/read")%></th>
                <th><%= Html.Translate("/socialreach/settings/post")%></th>
                <th><%= Html.Translate("/socialreach/settings/admin")%></th>
            </tr>
        </thead>
        <tbody data-bind="foreach: Channel.AccessRights">
            <tr>
                <td class="accessright-delete"><a href="#"></a></td>
                <td class="role-icon user" data-bind="text: Name"></td>
                <td><input type="checkbox" data-bind="checkedFlag: Access, flag: Social.AccessRight.Read" /></td>
                <td><input type="checkbox" data-bind="checkedFlag: Access, flag: Social.AccessRight.Post" /></td>
                <td><input type="checkbox" data-bind="checkedFlag: Access, flag: Social.AccessRight.Administer" /></td>
            </tr>                    
        </tbody>
        <tfoot>
            <tr>
                <td colspan="5"><a href="#" class="add-user" data-bind="click: $parent.selectUser"><%= Html.Translate("/socialreach/settings/addusergroup")%></a></td>
            </tr>
        </tfoot>
    </table>
</script>

<script type="text/html" id="viewaccessrights-template">
    <span data-bind="foreach: Channel.AccessRights">
    </span>
</script>
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="AdditionalScripts">
    <script src="<%= ModuleHelper.ToClientResource("Scripts/Settings.js") %>" type="text/javascript"></script>
</asp:Content>
